<?php
/*** Footer Copyright
 *
 * @package Newsxo
 */

$newsxo_default = newsxo_get_default_theme_options();

//Footer Copyright Section
Newsxo_Customizer_Control::add_section(
	'footer_copyright',
	array(
		'title' => esc_html__( 'Copyright', 'newsxo' ),  
        'priority' => 40,
        'capability' => 'edit_theme_options',
        'panel' => 'footer_option_panel',
	)
);
    //Enable and disable copyright
    Newsxo_Customizer_Control::add_field( 
        array(
            'type'     => 'toggle', 
            'settings'  => 'hide_copyright',
            'label' => esc_html__('Hide/Show', 'newsxo'),
            'section'  => 'footer_copyright',
            'default' => true,
            'sanitize_callback' => 'newsxo_sanitize_checkbox',
        )
    ); 
    // Copyright Text
    Newsxo_Customizer_Control::add_field(
        array(
            'type'     => 'textarea', 
            'settings'  => 'newsxo_footer_copyright',
            'label' => esc_html__('Copyright', 'newsxo'),
            'section'  => 'footer_copyright',    
            'default' => $newsxo_default['newsxo_footer_copyright'],
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    // Copyright bg color 
    Newsxo_Customizer_Control::add_field( 
        array(
            'type'     => 'color-alpha', 
            'settings'  => 'newsxo_footer_copy_bg',
            'label' => esc_html__('Background Color', 'newsxo'),
            'section'  => 'footer_copyright',
            'default' => $newsxo_default['newsxo_footer_copy_bg'],
            'sanitize_callback' => 'newsxo_sanitize_alpha_color',
        )
    );
    // Copyright text color
    Newsxo_Customizer_Control::add_field( 
        array(
            'type'     => 'color-alpha', 
            'settings'  => 'newsxo_footer_copy_text',
            'label' => esc_html__('Text Color', 'newsxo'),
            'section'  => 'footer_copyright',
            'default' => $newsxo_default['newsxo_footer_copy_text'],
            'sanitize_callback' => 'newsxo_sanitize_alpha_color',
        )
    );